aboutsummaryrefslogtreecommitdiff
path: root/bin/oeffnen
diff options
context:
space:
mode:
Diffstat (limited to 'bin/oeffnen')
-rwxr-xr-xbin/oeffnen24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/oeffnen b/bin/oeffnen
new file mode 100755
index 0000000..fa11bf6
--- /dev/null
+++ b/bin/oeffnen
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+_youtube() {
+ grep '\(http[s]*://\)*\(www.\)*\(youtube\.com/watch\|youtu\.be\)*' || return 0
+ echo "$1"
+}
+
+_feh() {
+ grep '\.\(jpg\)*\(png\)*' || return 0
+ echo "test $1"
+ feh "$1"
+}
+
+_yt_REGEXP=""
+_feh_REGEXP=".(jpg|jpeg|png|tiff)$"
+_feh_CMD="feh %s"
+cmds="youtube feh"
+
+arg="$1"
+
+for n in ${cmds}; do
+ echo "$arg" | "_$n" && break
+ echo "check next"
+done